/**
 *
 * @author bertocco
 */
package it.inaf.oats.vospacebackend.exceptions;

import java.util.ResourceBundle;
import org.apache.log4j.Logger;
import java.util.ResourceBundle;

public class VOSpaceBackendException  extends Exception {
    
    private static final Logger log = Logger.getLogger(VOSpaceBackendException.class);
    
    public VOSpaceBackendException() {
        log.debug("VOSpaceBackendException created");
    }

    public VOSpaceBackendException(String message) {
        super(message);
        log.debug(message);
    }

    public VOSpaceBackendException(Throwable cause) {
        super(cause);
        cause.printStackTrace();
        log.debug(cause.toString());
    }

    public VOSpaceBackendException(String message, Throwable cause) {
        super(message, cause);
        cause.printStackTrace();
        log.debug(message);
        log.debug(cause.toString());
        
    }
    
}


   




